%global momorel 2

Name:           perl-Mail-IMAPClient
Version:        3.25
Release:        %{momorel}m%{?dist}
Summary:        IMAP Client API
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mail-IMAPClient/
Source0:        http://www.cpan.org/authors/id/P/PL/PLOBBES/Mail-IMAPClient-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Temp
BuildRequires:  perl-IO
BuildRequires:  perl-MIME-Base64
BuildRequires:  perl-Parse-RecDescent >= 1.94
BuildRequires:  perl-Scalar-List-Util
BuildRequires:  perl-Test-Simple
Requires:       perl-File-Temp
Requires:       perl-IO
Requires:       perl-MIME-Base64
Requires:       perl-Scalar-List-Util >= 1.94
Requires:       perl-Scalar-List-Util
Requires:       perl-Test-Simple
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides methods implementing the IMAP protocol to support
interacting with IMAP message stores.

%prep
%setup -q -n Mail-IMAPClient-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
# tests need IMAP server name, user account and password
# so we disable tests
#make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYRIGHT prepare_dist README sample.perldb test_template.txt TODO
%{perl_vendorlib}/Mail/IMAPClient
%{perl_vendorlib}/Mail/IMAPClient.pm
%{perl_vendorlib}/Mail/IMAPClient.pod
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.25-2m)
- full rebuild for mo7 release

* Mon May 31 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.25-1m)
- update to 3.25

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.24-2m)
- rebuild against perl-5.12.1

* Sat May 08 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.24-1m)
- update to 3.24
- Specfile re-generated by cpanspec 1.78.

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.23-2m)
- rebuild against perl-5.12.0

* Wed Feb  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.23-1m)
- update to 3.23

* Sat Jan 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.22-1m)
- update to 3.22

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.21-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.21-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Sep 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.21-1m)
- update to 3.21

* Thu Aug 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.20-1m)
- update to 3.20

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.19-2m)
- rebuild against perl-5.10.1

* Thu Jun 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.19-1m)
- update to 3.19

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.18-1m)
- update to 3.18

* Sat Apr 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16-1m)
- update to 3.16

* Sat Mar 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.15-1m)
- update to 3.15

* Wed Feb 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.14-1m)
- update to 3.14

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.13-2m)
- rebuild against rpm-4.6

* Sun Jan 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.13-1m)
- update to 3.13

* Tue Nov 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.12-1m)
- update to 3.12

* Sun Oct 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.11-1m)
- update to 3.11

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.10-1m)
- update to 3.10

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.08-1m)
- update to 3.08

* Tue Apr 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.07-1m)
- update to 3.07

* Tue Apr 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.06-1m)
- update to 3.06

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.05-2m)
- rebuild against gcc43

* Thu Feb 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.05-1m)
- update to 3.05

* Fri Jan 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.03-1m)
- update to 3.03

* Thu Dec  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.02-1m)
- update to 3.02

* Thu Dec  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.01-1m)
- update to 3.01

* Mon Dec  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.00-1m)
- update to 3.00

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.9-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.9-1m)
- spec file was autogenerated
